Set shipping options as guest

Set shipping options including shipping address, shipping method and shipping carrier.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/user/quote/{guest-quote-id}/shipping-options' --header 'Content-Type: application/json' --data '{"shipping":{"address":{"countryId":"AU","regionCode":"VIC","region":"Victoria","street":["22 Albert Road"],"company":"ABC","telephone":"123123213321","postcode":"3205","city":"South Melbourne","firstname":"Testfirst","lastname":"Testlast","middlename":null,"prefix":null,"suffix":null,"vatId":null,"fax":null},"shipping_options":{"code":"400001400002-Microtech---Delivery","source_stock_id":"1","carrier":"vendorshipping"}}}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

guest-quote-id is generated by POST /V1/storeview/{store-view-code}/user/guest/quote under the Storefront: Shopping Cart Quote (Guest) tag.

string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Body Params
shipping
object
shipping_options
array of objects
shipping_options
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json